aboutsummaryrefslogtreecommitdiff
path: root/system/lxd/service-lxd-run
diff options
context:
space:
mode:
Diffstat (limited to 'system/lxd/service-lxd-run')
-rw-r--r--system/lxd/service-lxd-run55
1 files changed, 55 insertions, 0 deletions
diff --git a/system/lxd/service-lxd-run b/system/lxd/service-lxd-run
new file mode 100644
index 000000000000..622a6ae5cbc2
--- /dev/null
+++ b/system/lxd/service-lxd-run
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+# lxd daemontools run script
+
+# Copyright 2017-2018 Vasco Santos <valexsantos[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+exec 2>&1
+
+PATH="/usr/local/bin:/usr/bin:/bin:/sbin:/usr/sbin:/opt/daemontools/bin:/opt/lxd/bin"
+#
+# systemd support
+if [ ! -d /sys/fs/cgroup/systemd ]; then
+ echo "mounting systemd support...."
+ mkdir /sys/fs/cgroup/systemd
+ mount -t cgroup -o rw,nosuid,nodev,noexec,relatime,none,name=systemd cgroup /sys/fs/cgroup/systemd
+fi
+
+CMD="lxd daemon --group=lxd"
+echo "command-line $CMD"
+
+##
+# Doit
+##
+ulimit -f unlimited
+ulimit -t unlimited
+ulimit -v unlimited
+ulimit -n 819200
+ulimit -m unlimited
+ulimit -u 819200
+
+exec $CMD
+
+##
+# err
+echo ERROR: command did not run correctly
+sleep 5
+exit 1